WP6PageGroup Class Reference documentation

WP6PageGroup Class Reference

`#include <WP6PageGroup.h>`

Inheritance diagram for WP6PageGroup:

## Public Member Functions
| WP6PageGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP6PageGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *listener) override
Public Member Functions inherited from WP6VariableLengthGroup
| WP6VariableLengthGroup ()
| ~WP6VariableLengthGroup () override
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Private Attributes
unsigned short | m_margin
unsigned char | m_suppressedCode
unsigned short | m_pageNumberTypefaceDesc
unsigned char | m_pageNumberUseFlag
unsigned short | m_pageNumberingFontPIDCopy
unsigned short | m_pageNumberPointSize
unsigned char | m_pageNumberPosition
unsigned short | m_pageNumberMatchedFontIndex
unsigned short | m_pageNumberMatchedFontPointSize
unsigned short | m_pageNumberAttributes1
unsigned short | m_pageNumberAttributes2
RGBSColor | m_pageNumberColor
unsigned short | m_pageNumberHeight
unsigned char | m_pageNumberNewPagePosition
unsigned short | m_formLength
unsigned short | m_formWidth
unsigned char | m_formType
WPXFormOrientation | m_formOrientation

## Additional Inherited Members
Static Public Member Functions inherited from WP6VariableLengthGroup
static WP6VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP6VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const
unsigned char | getFlags () const
unsigned char | getNumPrefixIDs () const
const unsigned short * | getPrefixIDs () const
unsigned short | getSizeNonDeletable () const
unsigned short | getSizeDeletable () const

## Constructor & Destructor Documentation

## ◆ WP6PageGroup()

WP6PageGroup::WP6PageGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## ◆ ~WP6PageGroup()

WP6PageGroup::~WP6PageGroup | ( |  | ) |
| override

## Member Function Documentation

## ◆ _readContents()

void WP6PageGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Reimplemented from WP6VariableLengthGroup.

## ◆ parse()

void WP6PageGroup::parse | ( | WP6Listener * | listener | ) |
| overridevirtual

Implements WP6Part.

## Member Data Documentation

## ◆ m_formLength

unsigned short WP6PageGroup::m_formLength
| private

Referenced by _readContents(), parse(), and WP6PageGroup().

## ◆ m_formOrientation

WPXFormOrientation WP6PageGroup::m_formOrientation
| private

Referenced by _readContents(), parse(), and WP6PageGroup().

## ◆ m_formType

unsigned char WP6PageGroup::m_formType
| private

Referenced by _readContents(), and WP6PageGroup().

## ◆ m_formWidth

unsigned short WP6PageGroup::m_formWidth
| private

Referenced by _readContents(), parse(), and WP6PageGroup().

## ◆ m_margin

unsigned short WP6PageGroup::m_margin
| private

Referenced by _readContents(), parse(), and WP6PageGroup().

## ◆ m_pageNumberAttributes1

unsigned short WP6PageGroup::m_pageNumberAttributes1
| private

Referenced by _readContents(), and WP6PageGroup().

## ◆ m_pageNumberAttributes2

unsigned short WP6PageGroup::m_pageNumberAttributes2
| private

Referenced by _readContents(), and WP6PageGroup().

## ◆ m_pageNumberColor

RGBSColor WP6PageGroup::m_pageNumberColor
| private

Referenced by _readContents(), and WP6PageGroup().

## ◆ m_pageNumberHeight

unsigned short WP6PageGroup::m_pageNumberHeight
| private

Referenced by _readContents(), and WP6PageGroup().

## ◆ m_pageNumberingFontPIDCopy

unsigned short WP6PageGroup::m_pageNumberingFontPIDCopy
| private

Referenced by _readContents(), and WP6PageGroup().

## ◆ m_pageNumberMatchedFontIndex

unsigned short WP6PageGroup::m_pageNumberMatchedFontIndex
| private

Referenced by _readContents(), and WP6PageGroup().

## ◆ m_pageNumberMatchedFontPointSize

unsigned short WP6PageGroup::m_pageNumberMatchedFontPointSize
| private

Referenced by _readContents(), parse(), and WP6PageGroup().

## ◆ m_pageNumberNewPagePosition

unsigned char WP6PageGroup::m_pageNumberNewPagePosition
| private

Referenced by _readContents(), and WP6PageGroup().

## ◆ m_pageNumberPointSize

unsigned short WP6PageGroup::m_pageNumberPointSize
| private

Referenced by _readContents(), and WP6PageGroup().

## ◆ m_pageNumberPosition

unsigned char WP6PageGroup::m_pageNumberPosition
| private

Referenced by _readContents(), parse(), and WP6PageGroup().

## ◆ m_pageNumberTypefaceDesc

unsigned short WP6PageGroup::m_pageNumberTypefaceDesc
| private

Referenced by _readContents(), and WP6PageGroup().

## ◆ m_pageNumberUseFlag

unsigned char WP6PageGroup::m_pageNumberUseFlag
| private

Referenced by _readContents(), parse(), and WP6PageGroup().

## ◆ m_suppressedCode

unsigned char WP6PageGroup::m_suppressedCode
| private

Referenced by _readContents(), parse(), and WP6PageGroup().

The documentation for this class was generated from the following files:

- WP6PageGroup.h
- WP6PageGroup.cpp